<?php
    /**
     * Copyright (c) 2017. IOWEB TECHNOLOGIES
     */

    /**
     * Created by IntelliJ IDEA.
     * User: Gavriil
     * Date: 16/7/2017
     * Time: 5:30 μμ
     */
    class Ioweb_Base_Model_CatalogProductAttributeSource extends Mage_Core_Model_Abstract
    {

        public function toOptionArray()
        {
            /**
             *
             * @var $attributes Mage_Catalog_Model_Resource_Product_Attribute_Collection
             */
            $options = array();
            $attributeCollection = Mage::getResourceModel('catalog/product_attribute_collection');
            $attributes = $attributeCollection->getItems();

            foreach ($attributes as $attribute) {
                $isConfigurable = $attribute->getData('is_configurable');
                $isGlobal = $attribute->getData('is_global');
                $frontendInput = $attribute->getData('frontend_input');
                $value = $attribute->getAttributecode();
                $label = $attribute->getAttributecode() . ' (' . $attribute->getFrontendLabel() . ')';
                $options[] = array('value' => $value, 'label' => $label);
            }

            return $options;
        }

        public function toSelectOptionArray(){
            /**
             *
             * @var $attributes Mage_Catalog_Model_Resource_Product_Attribute_Collection
             */
            $options = array();
            $attributeCollection = Mage::getResourceModel('catalog/product_attribute_collection');
            $attributes = $attributeCollection->getItems();

            foreach ($attributes as $attribute) {
                $isConfigurable = $attribute->getData('is_configurable');
                $isGlobal = $attribute->getData('is_global');
                $frontendInput = $attribute->getData('frontend_input');
                $value = $attribute->getAttributecode();
                $label = $attribute->getAttributecode() . ' (' . $attribute->getFrontendLabel() . ')';
                $options[$value] = $label;
            }

            return $options;
        }

        protected function _construct()
        {
            $this->_init('ioweb_base/catalogProductAttributeSource');
        }
    }