<?php
    /**
 * Copyright (c) 2019. IOWEB TECHNOLOGIES
 */

    /**
     * Created by IntelliJ IDEA.
     * User: Gavriil
     * Date: 11/6/2017
     * Time: 10:13 πμ
     */
    const IOWEB_SERVER = 'https://licensing.ioweb.gr';
    const IOWEB_INSTALLATION_REGISTRATION_PATH = "/installation/register";

    //TODO: change MODULE_NAME, MODULE_VERSION, HELPER_NAME Accordingly
    const MODULE_NAME = 'BASE';
    const MODULE_VERSION = '0.1.2';
    const HELPER_NAME = 'ioweb_base';

    /* @var $installer Mage_Core_Model_Resource_Setup */
    $installer = $this;

    $installer->startSetup();

    Mage::log('Starting data installation script ' . __FILE__);

    $url = IOWEB_SERVER . IOWEB_INSTALLATION_REGISTRATION_PATH;
    $client = new Zend_Http_Client($url);

//    more parameters

    try {
        $client->setMethod(Zend_Http_Client::POST);
//    $client->setHeaders('Content-type', 'application/x-www-form-urlencoded');
        $client
            ->setHeaders(Zend_Http_Client::CONTENT_TYPE, Zend_Http_Client::ENC_URLENCODED);

        $client->setParameterPost('application', MODULE_NAME);
        $client->setParameterPost('version', MODULE_VERSION);
        $client->setParameterPost('domain', $_SERVER['HTTP_HOST']);
        $response = $client->request();

        if ($response->isSuccessful()) {
            $json = json_decode($response->getBody());
            $helper = Mage::helper(HELPER_NAME);
            $info = json_decode($json);
            $helper->setInstallationId($info->installation);
        }
    } catch (Exception $e) {
        Mage::log($e->getMessage() . ' at file ' . $e->getFile());
    }

    $installer->endSetup();

